Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1236377

Description of problem: Opted to remove my physical hosts due to a failed deployment, wasn't sure if | should chose "Delete" or
"Disassociate".

Any way hitting "Disassociate Hosts" | think | hit a bug on the bottom of the popup page it says-> "Disassociate the selected hosts
from their VMs"

Which VM's are we talking about?
I'm running on physical servers.

Version-Release number of selected component (if applicable):
ISO with the Media ID 1434638612.868458

BTW which competent should | search for running #rpm -qga | grep... ?
katello maybe as | didn't see anything related to RHCI.

How reproducible:
Unsure first time | see this.

Steps to Reproduce:

1. Run a deployment on physical hosts, in my case got stuck, a case of another bug.
2. On hosts menu, select "All hosts"

3. Select Action -> "Disassociate Hosts"

4. Notice VM remark on screen.

Actual results:
See a remark about VM's, which is odd as im not using any VMs.

Expected results:
Come to think of it I'm not sure what should happen, as I clicked submit and nothing happens. Maybe this option is just for VM's?

So I'll use delete hosts and see what happens.

Related issues:
Is duplicate of Foreman - Bug #5707: disassociate is highlighted for physical... Closed 05/13/2014

History

#1 - 03/07/2016 03:49 AM - Dominic Cleal

- Status changed from New to Rejected

Disassociate is for disassociating VMs from the hosts in Foreman. If you don't have VMs, there's no need to press it.

#2 - 03/07/2016 04:17 AM - Ohad Levy
- Status changed from Rejected to Feedback
https://bugzilla.redhat.com/show_bug.cgi?id=1236377

why would we show it if its not linked to a compute resource to start with? probably we can disable/hide the action based on that condition?
for bulk action, | would simply disable the checkbox highlighting its not a vm?

#3 - 03/07/2016 04:19 AM - Ori Rabin
- Related to Bug #5707 : disassociate is highlighted for physical host added

#4 - 03/07/2016 04:30 AM - Ori Rabin
- Status changed from Feedback to Duplicate

- Bugzilla link deleted (1236377)

The problem here is that you shouldn't see physical hosts when disassociating so the disassociate button should be disabled when editing a host and
the multiple actions should show that some of the selected hosts can't actually be disassociated.
#5707 is already open explaining this.

#5 - 03/07/2016 04:30 AM - Ori Rabin
- Related to deleted (Bug #5707: disassociate is highlighted for physical host)

#6 - 03/07/2016 04:30 AM - Ori Rabin
- Is duplicate of Bug #5707: disassociate is highlighted for physical host added
